Subject: Re: [PATCH RESEND 06/11] net/smc: smc_splice_read: always request MSG_DONTWAIT

From: Jakub Kicinski <[email-masked]>
Date: Thu, 14 Dec 2023 09:38:59 -0800

On Thu, 14 Dec 2023 09:57:32 -0700 Jens Axboe wrote:
> On 12/14/23 3:50 AM, Christian Brauner wrote:
> >> Let's figure that out before we get another repost.  
> > 
> > I'm just waiting for Jens to review it as he had comments on this
> > before.  
> 
> Well, I do wish the CC list had been setup a bit more deliberately.
> Especially as this is a resend, and I didn't even know about any of this
> before Christian pointed me this way the other day.
> 
> Checking lore, I can't even see all the patches. So while it may be
> annoying, I do think it may be a good idea to resend the series so I can
> take a closer look as well.

So to summarize - for the repost please make sure to CC Jens,
Christian, Al, [email-masked] on *all* patches.

No need to add "net" to subject prefix, or CC net on all.

> I do think it's interesting and I'd love to
> have it work in a non-blocking fashion, both solving the issue of splice
> holding the pipe lock while doing IO, and also then being able to
> eliminate the pipe_clear_nowait() hack hopefully.